Name:		txt2tags
Version:	3.8
Release:	%mkrel 1
Summary:	Converts text files to HTML, XHTML, sgml, LaTeX, man, etc
Group:		Text tools
License:	GPLv2+
URL:		https://txt2tags.org/
Source0:	https://github.com/txt2tags/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}.1
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

Requires:	python3

%description
txt2tags is a generic text converter. From a simple text file with minimal
markup, it generates documents on several formats


%prep
%setup -q

%build
%py3_build

%install
%py3_install

# man pages
install -d %{buildroot}%{_mandir}/man1
install -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc CHANGELOG.md README.md
%license COPYING
%{_bindir}/%{name}
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{name}.py
%{python3_sitelib}/__pycache__/%{name}*
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Feb 17 2023 solbu <solbu> 3.8-1.mga9
+ Revision: 1943766
- New version: 3.8

* Wed Mar 23 2022 umeabot <umeabot> 3.7-4.mga9
+ Revision: 1822731
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tmb <tmb> 3.7-3.mga9
+ Revision: 1774883
- rebuild for python 3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 3.7-2.mga9
+ Revision: 1705406
- rebuild for python 3.9

* Fri Nov 06 2020 solbu <solbu> 3.7-1.mga8
+ Revision: 1643023
- Fix license, it's GPLv2+
- New version: 3.7
- Update URLs

* Tue Feb 18 2020 umeabot <umeabot> 3.3-2.mga8
+ Revision: 1539649
- Mageia 8 Mass Rebuild

* Wed Dec 11 2019 solbu <solbu> 3.3-1.mga8
+ Revision: 1465869
- Add missing BuildRequires
- New version: 3.3
- Clean SPEC file

* Mon Sep 23 2019 daviddavid <daviddavid> 2.6-11.mga8
+ Revision: 1445004
- add more python3.8 fixes by Jendrik Seipp

* Sat Sep 21 2019 daviddavid <daviddavid> 2.6-10.mga8
+ Revision: 1444147
- port to python 3 from Jendrik Seipp (rednotebook project)

* Wed Sep 19 2018 umeabot <umeabot> 2.6-9.mga7
+ Revision: 1276874
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 2.6-8.mga6
+ Revision: 941246
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.6-7.mga5
+ Revision: 739400
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 2.6-6.mga5
+ Revision: 725270
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.6-5.mga5
+ Revision: 690000
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.6-4.mga4
+ Revision: 519865
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.6-3.mga3
+ Revision: 384931
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 wally <wally> 2.6-2.mga3
+ Revision: 273073
- use find_lang macro

* Sat Jul 21 2012 solbu <solbu> 2.6-1.mga3
+ Revision: 273036
- Import Mandriva package
- Spec cleanup
- Fix License tag
- New version

